# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'vat', 'model_label': 'vat'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:vat_{model['model_name']}_add",
        "perms": [f"vat.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:vat_{model['model_name']}_changelist",
        "perms": [
            f"vat.view_{model['model_name']}",
            f"vat.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'vat',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'vat'}},
    'perms': ['vat.*'],
    'children': children
}]
